## org.apache.batik.ext.awt.image.renderable
Interface PadRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  PadRable8Bit

    public interface PadRable

extends Filter

Pads image to the given Rectangle (the rect may be smaller than the image in which case this is actually a crop). The rectangle is specified in the user coordinate system of this Renderable.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`PadMode` `getPadMode()` Get the current extension mode for pad
`java.awt.geom.Rectangle2D` `getPadRect()` Get the current rectangle for padding
`Filter` `getSource()` Returns the source to be padded
`void` `setPadMode(PadMode mode)` Set the current extension mode for pad
`void` `setPadRect(java.awt.geom.Rectangle2D rect)` Set the current rectangle for padding.
`void` `setSource(Filter src)` Sets the source to be padded

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be padded

### setSource

    void setSource(Filter src)

  Sets the source to be padded

  Parameters:
    `src` - image to offset.

### setPadRect

    void setPadRect(java.awt.geom.Rectangle2D rect)

  Set the current rectangle for padding.

  Parameters:
    `rect` - the new rectangle to use for pad.

### getPadRect

    java.awt.geom.Rectangle2D getPadRect()

  Get the current rectangle for padding

  Returns:
    Rectangle currently in use for pad.

### setPadMode

    void setPadMode(PadMode mode)

  Set the current extension mode for pad

  Parameters:
    `mode` - the new pad mode

### getPadMode

    PadMode getPadMode()

  Get the current extension mode for pad

  Returns:
    Mode currently in use for pad

Copyright © 2008 Apache Software Foundation. All Rights Reserved.